I am trying to patch up Dot Net Framework 1.0 to sp3 - this is what I have implemented so far:

1) dotnetfx.exe /C to extract netfx.msi to required location - note that it would not allow me to run msiexec.exe /a command against it

2) dotnetsp3.exe /xp to extract patch S867461.msp to required location

3) msiexec /p s867461.msp /a netfx.msi /qb this appears to update the msi

The msi attempts to install but fails with the following error:

Event Type: Error
Event Source: MsiInstaller
Event Category: None
Event ID: 11334
Date: 09/03/2006
Time: 13:15:16
User: NT AUTHORITY\SYSTEM
Computer: FBC-04688
Description:
Product: Microsoft .NET Framework (English) v1.0.3705 -- Error 1334.The file 'FL_SmartNav_htm________.3643236F_FC70_11D3_A536_0090278A1BB8' cannot be installed because the file cannot be found in cabinet file 'netfx1.cab'. This could indicate a network error, an error reading from the CD-ROM, or a problem with this package.

OK, so im guessing that this indicates that the file FL_Smartnav_htm is missing from a cab file, in this case netfx1.cab is listed in the same folder as the netfx.msi. If you explore the netfx1.cab, indeed there is no reference to a FL_Smartnav_htm file, but I dont know how to get this file into the .cab or even why there is a .cab in the first place?

I know about distributing service packs via SUS/WSUS but we can't do it in this instance, has anyone else come across this? If anyone has Dot Net Framework 1.0 sp3 all-in-one as an msi, I would be interested to know how you achieved this!

Any help would be appreciated.
0 Comments   [ + ] Show Comments

Comments

Please log in to comment

Rating comments in this legacy AppDeploy message board thread won't reorder them,
so that the conversation will remain readable.

Answers

0
Hi Vialli:

When u extracted the netfx.msi, there should be one more .cab file extracted. Place that .cab file in the same folder where ur msi is and then run the command to patch.
this is an external cab file which the installation is trying find but it can not.

Hope this will work
Answered 03/09/2006 by: akhlaque
Orange Senior Belt

Please log in to comment
0
Normally, you cannot patch a compressed image, you must either patch an administrative image, or an installed package. Since it looks like netfx.msi is compressed, this might be the problem.

An alternative could be to patch .Net when you install it (msiexec /i netfx.msi PATCH=S867461.msp), but that isn't an option?

From the error it looks like the FL_Smartnav_htm is part of an merge module. I don't think you can patch files in a merge module, you have to get a new one. Don't know how that could be affecting this case however.

So, not much help from me here, it looks [8|]
Answered 03/09/2006 by: sikkert
Orange Senior Belt

Please log in to comment
Answer this question or Comment on this question for clarity